import type { CSSProperties } from 'react';
export declare type Shape = 'circle' | 'square' | 'diamond' | 'triangle' | 'cross' | 'xmark' | 'pentagon' | 'star' | 'hexagon';
export declare type HorizontalPosition = 'left' | 'right';
export declare type VerticalPosition = 'top' | 'bottom';
export declare type Position = HorizontalPosition | VerticalPosition;
export declare type Margins = Partial<Record<Position, number>>;
export declare type SeriesPointError = number | [number | null, number | null] | null;
export interface SeriesPoint {
    x: number;
    y: number;
    xError?: SeriesPointError;
    yError?: SeriesPointError;
}
export declare type CSSFuncProps<T> = {
    [key in keyof CSSProperties]: ((point: T, index: number, data: T[]) => CSSProperties[key]) | CSSProperties[key];
};
export interface BaseSeriesProps<T = SeriesPoint> {
    groupId?: string;
    xAxis?: string;
    yAxis?: string;
    data: Array<T>;
    label?: string;
    hidden?: boolean;
}
export declare type ActionType<Action, Payload = void> = Payload extends void ? {
    type: Action;
} : {
    type: Action;
    payload: Payload;
};
export declare type TickLabelFormat = (value: number) => string;
